/*
 * gsampler-assistant.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_ASSISTANT_H_
#define _GSAMPLER_ASSISTANT_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_ASSISTANT             (gsampler_assistant_get_type ())
#define GSAMPLER_ASSISTANT(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_ASSISTANT, GsamplerAssistant))
#define GSAMPLER_ASSISTANT_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_ASSISTANT, GsamplerAssistantClass))
#define GSAMPLER_IS_ASSISTANT(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_ASSISTANT))
#define GSAMPLER_IS_ASSISTANT_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_ASSISTANT))
#define GSAMPLER_ASSISTANT_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_ASSISTANT, GsamplerAssistantClass))

typedef struct _GsamplerAssistantClass GsamplerAssistantClass;
typedef struct _GsamplerAssistant GsamplerAssistant;

struct _GsamplerAssistantClass
{
	GtkAssistantClass parent_class;
};

struct _GsamplerAssistant
{
	GtkAssistant parent_instance;
	GtkFileChooserButton *db_chooser;
	GtkFileChooserButton *com_chooser;
	GtkEntry *host_entry;
	GtkEntry *port_entry;
	GtkSpinButton *time_spin;
	GtkCheckButton *autostart_check;
	GtkSpinButton *wait_spin;
};

GType gsampler_assistant_get_type (void) G_GNUC_CONST;

GsamplerAssistant* gsampler_assistant_new (void);

G_END_DECLS

#endif /* _GSAMPLER_ASSISTANT_H_ */
