/*
 * gsampler-session.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_SESSION_H_
#define _GSAMPLER_SESSION_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_SESSION (gsampler_session_get_type ())
#define GSAMPLER_SESSION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_SESSION, GsamplerSession))
#define GSAMPLER_SESSION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_SESSION, GsamplerSessionClass))
#define GSAMPLER_IS_SESSION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_SESSION))
#define GSAMPLER_IS_SESSION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_SESSION))
#define GSAMPLER_SESSION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_SESSION, GsamplerSessionClass))
#define GSAMPLER_SESSION_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GSAMPLER_TYPE_SESSION, GsamplerSessionPrivate))

typedef struct _GsamplerSession GsamplerSession;
typedef struct _GsamplerSessionClass GsamplerSessionClass;
typedef struct _GsamplerSessionPrivate GsamplerSessionPrivate;

struct _GsamplerSession {
	GObject parent_instance;
	GsamplerSessionPrivate * priv;
};

struct _GsamplerSessionClass {
	GObjectClass parent_class;
};

struct _GsamplerSessionPrivate {
	gchar* _name;
	gchar* _filename;
	gboolean _is_updated;
};

GType 				gsampler_session_get_type (void) G_GNUC_CONST;
GsamplerSession* 	gsampler_session_new (void);

void 				gsampler_session_clear (GsamplerSession* self);
gboolean 			gsampler_session_ask_overide (GsamplerSession* self);
const gchar* 		gsampler_session_get_filename (GsamplerSession* self);
gboolean 			gsampler_session_get_is_updated (GsamplerSession* self);
gboolean 			gsampler_session_save_session (GsamplerSession* self);
gboolean 			gsampler_session_save_session_as (GsamplerSession* self);
gchar* 				gsampler_session_new_file_dialog (GsamplerSession* self, const gchar* title);
void 				gsampler_session_open_session (GsamplerSession* self);
const gchar* 		gsampler_session_get_name (GsamplerSession* self);

G_END_DECLS

#endif /* _GSAMPLER_SESSION_H_ */ 